_syck_emitter Struct Reference

`#include <syck.h>`

## Data Fields

int | headless
int | use_header
int | use_version
int | sort_keys
char * | anchor_format
int | explicit_typing
int | best_width
enum scalar_style | style
enum doc_stage | stage
int | level
int | indent
SYMID | ignore_id
st_table * | markers
st_table * | anchors
st_table * | anchored
size_t | bufsize
char * | buffer
char * | marker
long | bufpos
SyckEmitterHandler | emitter_handler
SyckOutputHandler | output_handler
SyckLevel * | levels
int | lvl_idx
int | lvl_capa
void * | bonus

## Detailed Description

Definition at line 279 of file syck.h.

## Field Documentation

char* _syck_emitter::anchor_format

Definition at line 289 of file syck.h.

Referenced by syck_emitter_mark_node(), and syck_new_emitter().

st_table * _syck_emitter::anchored

Definition at line 305 of file syck.h.

Referenced by syck_emit(), syck_emitter_st_free(), and syck_new_emitter().

st_table * _syck_emitter::anchors

Definition at line 305 of file syck.h.

Referenced by syck_emit(), syck_emitter_mark_node(), syck_emitter_st_free(), and syck_new_emitter().

int _syck_emitter::best_width

Definition at line 293 of file syck.h.

Referenced by syck_emit_folded(), and syck_new_emitter().

void* _syck_emitter::bonus

Definition at line 321 of file syck.h.

Referenced by rb_syck_free_emitter(), rb_syck_output_handler(), syck_emitter_emit(), syck_emitter_reset(), syck_emitter_s_alloc(), syck_mark_emitter(), syck_new_emitter(), and syck_out_mark().

char* _syck_emitter::buffer

Definition at line 309 of file syck.h.

Referenced by syck_emit_indent(), syck_emitter_clear(), syck_emitter_flush(), syck_emitter_write(), syck_free_emitter(), and syck_new_emitter().

long _syck_emitter::bufpos

Definition at line 311 of file syck.h.

Referenced by syck_emit_indent(), syck_emitter_clear(), syck_emitter_flush(), and syck_new_emitter().

size_t _syck_emitter::bufsize

Definition at line 307 of file syck.h.

Referenced by syck_emitter_clear(), syck_emitter_flush(), syck_emitter_write(), and syck_new_emitter().

SyckEmitterHandler _syck_emitter::emitter_handler

Definition at line 313 of file syck.h.

Referenced by syck_emit(), syck_emitter_handler(), and syck_new_emitter().

int _syck_emitter::explicit_typing

Definition at line 291 of file syck.h.

Referenced by syck_emit_scalar(), syck_emit_tag(), and syck_new_emitter().

int _syck_emitter::headless

Definition at line 281 of file syck.h.

Referenced by syck_emit(), syck_emitter_reset(), and syck_new_emitter().

SYMID _syck_emitter::ignore_id

Definition at line 303 of file syck.h.

int _syck_emitter::indent

Definition at line 301 of file syck.h.

Referenced by syck_emit(), syck_emit_scalar(), and syck_new_emitter().

int _syck_emitter::level

Definition at line 299 of file syck.h.

Referenced by syck_new_emitter().

SyckLevel* _syck_emitter::levels

Definition at line 317 of file syck.h.

Referenced by syck_emitter_add_level(), syck_emitter_current_level(), syck_emitter_parent_level(), syck_emitter_pop_level(), syck_emitter_reset_levels(), syck_free_emitter(), and syck_new_emitter().

int _syck_emitter::lvl_capa

Definition at line 319 of file syck.h.

Referenced by syck_emitter_add_level(), and syck_new_emitter().

int _syck_emitter::lvl_idx

Definition at line 318 of file syck.h.

Referenced by syck_emit(), syck_emitter_add_level(), syck_emitter_current_level(), syck_emitter_parent_level(), syck_emitter_pop_level(), syck_emitter_reset_levels(), and syck_new_emitter().

char * _syck_emitter::marker

Definition at line 309 of file syck.h.

Referenced by syck_emit_indent(), syck_emitter_clear(), syck_emitter_flush(), syck_emitter_write(), and syck_new_emitter().

st_table* _syck_emitter::markers

Definition at line 305 of file syck.h.

Referenced by syck_emit(), syck_emitter_mark_node(), syck_emitter_st_free(), and syck_new_emitter().

SyckOutputHandler _syck_emitter::output_handler

Definition at line 315 of file syck.h.

Referenced by syck_emitter_flush(), syck_new_emitter(), and syck_output_handler().

int _syck_emitter::sort_keys

Definition at line 287 of file syck.h.

Referenced by syck_new_emitter().

enum doc_stage _syck_emitter::stage

Definition at line 297 of file syck.h.

Referenced by syck_emit(), and syck_new_emitter().

enum scalar_style _syck_emitter::style

Definition at line 295 of file syck.h.

Referenced by syck_emit_scalar(), and syck_new_emitter().

int _syck_emitter::use_header

Definition at line 283 of file syck.h.

Referenced by syck_emit(), and syck_new_emitter().

int _syck_emitter::use_version

Definition at line 285 of file syck.h.

Referenced by syck_emit(), and syck_new_emitter().

The documentation for this struct was generated from the following file:

- ext/syck/syck.h